Loading...
Searching...
No Matches
gx_engine::DrumSequencer Class Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::DrumSequencer:

## Public Member Functions

| DrumSequencer (EngineControl &engine, sigc::slot< void > sync)
| ~DrumSequencer ()

## Public Attributes

Plugin | plugin
Public Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Private Member Functions

void | mem_alloc ()
void | mem_free ()
void | init (unsigned int samplingFreq)
void | compute (int count, FAUSTFLOAT *input0, FAUSTFLOAT *output0)
void | change_buffersize (unsigned int size)
int | register_par (const ParamReg &reg)
int | min_seq_size ()
void | reset_tom ()
void | reset_tom1 ()
void | reset_tom2 ()
void | reset_kick ()
void | reset_hat ()
void | reset_snare ()

## Static Private Member Functions

static void | init_static (unsigned int samplingFreq, PluginDef *)
static void | compute_static (int count, FAUSTFLOAT *input0, FAUSTFLOAT *output0, PluginDef *)
static int | register_params_static (const ParamReg &reg)
static void | del_instance (PluginDef *p)
static int | drum_load_ui (const UiBuilder &builder, int format)

## Private Attributes

int | fSamplingFreq
FAUSTFLOAT | position
FAUSTFLOAT | ftact
FAUSTFLOAT | fsec
FAUSTFLOAT | fsliderbpm
FAUSTFLOAT | fsliderhum
drumseq::Dsp | drums
int | counter
int | seq_size
int | bsize
FAUSTFLOAT | step
FAUSTFLOAT | step_orig
FAUSTFLOAT | fSlow1
FAUSTFLOAT | fSlow3
FAUSTFLOAT | fSlow5
FAUSTFLOAT | fSlow7
FAUSTFLOAT | fSlow12
FAUSTFLOAT | fSlow14
FAUSTFLOAT | fSlow16
FAUSTFLOAT | fSlow18
FAUSTFLOAT | fSlow20
FAUSTFLOAT | fSlow22
std::vector< int > | Vectom
std::vector< int > | Vectom1
std::vector< int > | Vectom2
std::vector< int > | Veckick
std::vector< int > | Vecsnare
std::vector< int > | Vechat
EngineControl & | engine
bool | mem_allocated
sigc::slot< void > | sync
volatile bool | ready
float * | outdata
GxSeqSettings | tomset
SeqParameter * | tomp
GxSeqSettings | tomset1
SeqParameter * | tomp1
GxSeqSettings | tomset2
SeqParameter * | tomp2
GxSeqSettings | snareset
SeqParameter * | snarep
GxSeqSettings | hatset
SeqParameter * | hatp
GxSeqSettings | kickset
SeqParameter * | kickp

## Detailed Description

Definition at line 1096 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## DrumSequencer()

gx_engine::DrumSequencer::DrumSequencer | ( | EngineControl & | engine,
|  | sigc::slot< void > | sync )

## ~DrumSequencer()

gx_engine::DrumSequencer::~DrumSequencer | ( |  | ) |

## Member Function Documentation

## change_buffersize()

void gx_engine::DrumSequencer::change_buffersize | ( | unsigned int | size | ) |

private

## compute()

void gx_engine::DrumSequencer::compute | ( | int | count,
|  | FAUSTFLOAT * | input0,
|  | FAUSTFLOAT * | output0 )

private

## compute_static()

void gx_engine::DrumSequencer::compute_static | ( | int | count,
|  | FAUSTFLOAT * | input0,
|  | FAUSTFLOAT * | output0,
|  | PluginDef * | )

static private

## del_instance()

void gx_engine::DrumSequencer::del_instance | ( | PluginDef * | p | ) |

static private

## drum_load_ui()

int gx_engine::DrumSequencer::drum_load_ui | ( | const UiBuilder & | builder,
|  | int | format )

static private

## init()

void gx_engine::DrumSequencer::init | ( | unsigned int | samplingFreq | ) |

private

## init_static()

void gx_engine::DrumSequencer::init_static | ( | unsigned int | samplingFreq,
|  | PluginDef * | )

static private

## mem_alloc()

void gx_engine::DrumSequencer::mem_alloc | ( |  | ) |

private

## mem_free()

void gx_engine::DrumSequencer::mem_free | ( |  | ) |

private

## min_seq_size()

int gx_engine::DrumSequencer::min_seq_size | ( |  | ) |

private

## register_par()

int gx_engine::DrumSequencer::register_par | ( | const ParamReg & | reg | ) |

private

## register_params_static()

int gx_engine::DrumSequencer::register_params_static | ( | const ParamReg & | reg | ) |

static private

## reset_hat()

void gx_engine::DrumSequencer::reset_hat | ( |  | ) |

private

## reset_kick()

void gx_engine::DrumSequencer::reset_kick | ( |  | ) |

private

## reset_snare()

void gx_engine::DrumSequencer::reset_snare | ( |  | ) |

private

## reset_tom()

void gx_engine::DrumSequencer::reset_tom | ( |  | ) |

private

## reset_tom1()

void gx_engine::DrumSequencer::reset_tom1 | ( |  | ) |

private

## reset_tom2()

void gx_engine::DrumSequencer::reset_tom2 | ( |  | ) |

private

## Member Data Documentation

## bsize

int gx_engine::DrumSequencer::bsize

private

Definition at line 1108 of file gx_internal_plugins.h.

## counter

int gx_engine::DrumSequencer::counter

private

Definition at line 1106 of file gx_internal_plugins.h.

## drums

drumseq::Dsp gx_engine::DrumSequencer::drums

private

Definition at line 1104 of file gx_internal_plugins.h.

## engine

EngineControl& gx_engine::DrumSequencer::engine

private

Definition at line 1128 of file gx_internal_plugins.h.

Referenced by DrumSequencer().

## fSamplingFreq

int gx_engine::DrumSequencer::fSamplingFreq

private

Definition at line 1098 of file gx_internal_plugins.h.

## fsec

FAUSTFLOAT gx_engine::DrumSequencer::fsec

private

Definition at line 1101 of file gx_internal_plugins.h.

## fsliderbpm

FAUSTFLOAT gx_engine::DrumSequencer::fsliderbpm

private

Definition at line 1102 of file gx_internal_plugins.h.

## fsliderhum

FAUSTFLOAT gx_engine::DrumSequencer::fsliderhum

private

Definition at line 1103 of file gx_internal_plugins.h.

## fSlow1

FAUSTFLOAT gx_engine::DrumSequencer::fSlow1

private

Definition at line 1111 of file gx_internal_plugins.h.

## fSlow12

FAUSTFLOAT gx_engine::DrumSequencer::fSlow12

private

Definition at line 1115 of file gx_internal_plugins.h.

## fSlow14

FAUSTFLOAT gx_engine::DrumSequencer::fSlow14

private

Definition at line 1116 of file gx_internal_plugins.h.

## fSlow16

FAUSTFLOAT gx_engine::DrumSequencer::fSlow16

private

Definition at line 1117 of file gx_internal_plugins.h.

## fSlow18

FAUSTFLOAT gx_engine::DrumSequencer::fSlow18

private

Definition at line 1118 of file gx_internal_plugins.h.

## fSlow20

FAUSTFLOAT gx_engine::DrumSequencer::fSlow20

private

Definition at line 1119 of file gx_internal_plugins.h.

## fSlow22

FAUSTFLOAT gx_engine::DrumSequencer::fSlow22

private

Definition at line 1120 of file gx_internal_plugins.h.

## fSlow3

FAUSTFLOAT gx_engine::DrumSequencer::fSlow3

private

Definition at line 1112 of file gx_internal_plugins.h.

## fSlow5

FAUSTFLOAT gx_engine::DrumSequencer::fSlow5

private

Definition at line 1113 of file gx_internal_plugins.h.

## fSlow7

FAUSTFLOAT gx_engine::DrumSequencer::fSlow7

private

Definition at line 1114 of file gx_internal_plugins.h.

## ftact

FAUSTFLOAT gx_engine::DrumSequencer::ftact

private

Definition at line 1100 of file gx_internal_plugins.h.

## hatp

SeqParameter* gx_engine::DrumSequencer::hatp

private

Definition at line 1142 of file gx_internal_plugins.h.

## hatset

GxSeqSettings gx_engine::DrumSequencer::hatset

private

Definition at line 1141 of file gx_internal_plugins.h.

## kickp

SeqParameter* gx_engine::DrumSequencer::kickp

private

Definition at line 1144 of file gx_internal_plugins.h.

## kickset

GxSeqSettings gx_engine::DrumSequencer::kickset

private

Definition at line 1143 of file gx_internal_plugins.h.

## mem_allocated

bool gx_engine::DrumSequencer::mem_allocated

private

Definition at line 1129 of file gx_internal_plugins.h.

## outdata

float* gx_engine::DrumSequencer::outdata

private

Definition at line 1132 of file gx_internal_plugins.h.

## plugin

Plugin gx_engine::DrumSequencer::plugin

Definition at line 1167 of file gx_internal_plugins.h.

## position

FAUSTFLOAT gx_engine::DrumSequencer::position

private

Definition at line 1099 of file gx_internal_plugins.h.

## ready

volatile bool gx_engine::DrumSequencer::ready

private

Definition at line 1131 of file gx_internal_plugins.h.

## seq_size

int gx_engine::DrumSequencer::seq_size

private

Definition at line 1107 of file gx_internal_plugins.h.

## snarep

SeqParameter* gx_engine::DrumSequencer::snarep

private

Definition at line 1140 of file gx_internal_plugins.h.

## snareset

GxSeqSettings gx_engine::DrumSequencer::snareset

private

Definition at line 1139 of file gx_internal_plugins.h.

## step

FAUSTFLOAT gx_engine::DrumSequencer::step

private

Definition at line 1109 of file gx_internal_plugins.h.

## step_orig

FAUSTFLOAT gx_engine::DrumSequencer::step_orig

private

Definition at line 1110 of file gx_internal_plugins.h.

## sync

sigc::slot<void> gx_engine::DrumSequencer::sync

private

Definition at line 1130 of file gx_internal_plugins.h.

Referenced by DrumSequencer().

## tomp

SeqParameter* gx_engine::DrumSequencer::tomp

private

Definition at line 1134 of file gx_internal_plugins.h.

## tomp1

SeqParameter* gx_engine::DrumSequencer::tomp1

private

Definition at line 1136 of file gx_internal_plugins.h.

## tomp2

SeqParameter* gx_engine::DrumSequencer::tomp2

private

Definition at line 1138 of file gx_internal_plugins.h.

## tomset

GxSeqSettings gx_engine::DrumSequencer::tomset

private

Definition at line 1133 of file gx_internal_plugins.h.

## tomset1

GxSeqSettings gx_engine::DrumSequencer::tomset1

private

Definition at line 1135 of file gx_internal_plugins.h.

## tomset2

GxSeqSettings gx_engine::DrumSequencer::tomset2

private

Definition at line 1137 of file gx_internal_plugins.h.

## Vechat

std::vector<int> gx_engine::DrumSequencer::Vechat

private

Definition at line 1126 of file gx_internal_plugins.h.

## Veckick

std::vector<int> gx_engine::DrumSequencer::Veckick

private

Definition at line 1124 of file gx_internal_plugins.h.

## Vecsnare

std::vector<int> gx_engine::DrumSequencer::Vecsnare

private

Definition at line 1125 of file gx_internal_plugins.h.

## Vectom

std::vector<int> gx_engine::DrumSequencer::Vectom

private

Definition at line 1121 of file gx_internal_plugins.h.

## Vectom1

std::vector<int> gx_engine::DrumSequencer::Vectom1

private

Definition at line 1122 of file gx_internal_plugins.h.

## Vectom2

std::vector<int> gx_engine::DrumSequencer::Vectom2

private

Definition at line 1123 of file gx_internal_plugins.h.

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h